/*
 * DatabaseDriver.java
 *
 * Created on July 14, 2005, 11:29 AM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package lu.tudor.santec.settings;

/**
 *
 * @author nmac
 */
//***************************************************************************
//* Class Definition and Members                                            *
//***************************************************************************

public class DatabaseDriver 
    {
    private String  m_DriverClass;
    private String  m_DriverName;
    private String  m_DSNTemplate;
    
//***************************************************************************
//* Constructor                                                             *
//***************************************************************************

//---------------------------------------------------------------------------
/** Creates a new instance of DatabaseDriver */
//---------------------------------------------------------------------------

public DatabaseDriver() 
    {
    m_DriverClass = new String ("");
    m_DriverName = new String ("None");
    m_DSNTemplate = new String ("n/a");
    }

//---------------------------------------------------------------------------

public DatabaseDriver (String p_DriverClass,
                       String p_DriverName,
                       String p_DSNTemplate)
    {
    m_DriverClass = new String ("");
    m_DriverName  = new String ("None");
    m_DSNTemplate = new String ("n/a");

    setDriverClass (p_DriverClass);
    setDriverName  (p_DriverName);
    setDSNTemplate (p_DSNTemplate);
    }

//***************************************************************************
//* Class Body                                                              *
//***************************************************************************

//===========================================================================
//= Setter Methods                                                          =
//===========================================================================

//---------------------------------------------------------------------------
/**
 * ndicates whether some other object is "equal to" this one.
 * @param p_Object specifies the (DatabaseDriver) object to be compared to this one
 * @return <B>true</B> if fields of both objects are equal, <B>false</B> otherwise. If specified
 * p_Object is of wrong type, i.e. not DatabaseDriver, then result will also be <B>false</B>.
 */
//---------------------------------------------------------------------------

public boolean equals (Object p_Object)
    {
    DatabaseDriver  l_Object;
    boolean         l_Equals = true;
    
    if (p_Object instanceof DatabaseDriver)
        {
        l_Object = (DatabaseDriver)p_Object;
        
        l_Equals &= m_DriverClass.equals (l_Object.getDriverClass());
        l_Equals &= m_DriverName.equals (l_Object.getDriverName());
        l_Equals &= m_DSNTemplate.equals (l_Object.getDSNTemplate());
        }
    return l_Equals;
    }

//---------------------------------------------------------------------------

public void setDriverClass (String p_DriverClass)
    {
    if (p_DriverClass != null) m_DriverClass = p_DriverClass;
    }

//---------------------------------------------------------------------------

public void setDriverName (String p_DriverName)
    {
    if (p_DriverName != null) m_DriverName = p_DriverName;
    }

//---------------------------------------------------------------------------

public void setDSNTemplate (String p_DSNTemplate)
    {
    if (p_DSNTemplate != null) m_DSNTemplate = p_DSNTemplate;
    }

//---------------------------------------------------------------------------

//===========================================================================
//= Getter Methods                                                          =
//===========================================================================

//---------------------------------------------------------------------------

public String getDriverClass ()
    {
    return m_DriverClass;
    }

//---------------------------------------------------------------------------

public String getDriverName ()
    {
    return m_DriverName;
    }

//---------------------------------------------------------------------------

public String getDSNTemplate ()
    {
    return m_DSNTemplate;
    }

//---------------------------------------------------------------------------

//***************************************************************************
//* End Of Class                                                            *
//***************************************************************************
    
}
