/*
 * I18nListPlugin.java
 *
 * Created on July 11, 2005, 3:02 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package lu.tudor.santec.settings;

import lu.tudor.santec.i18n.Translatrix;

/**
*
* @author  jhermen
*/

public class ExternalApplicationPlugin extends SettingsPlugin {
	private static final long serialVersionUID = 1L;

	public final static String NAME = "extApp";

	public ExternalApplicationPlugin(String p_Name) {
		super(p_Name);
		buildPanel();
	}
	
	public ExternalApplicationPlugin() {
		super(NAME);
		buildPanel();
	}

	private void buildPanel() {
		setIcon(getIconResource("icn_extapp"));
		setLabel(Translatrix.getTranslationString("extApp.Label"));
	}


	public void revertToDefaults() {
		reflectSettings();
		super.revertToDefaults();
	}

	public void updateSettings() {
		super.updateSettings();
	}

	public void reflectSettings() {
		super.reflectSettings();
	}

	public void relocalize() {
		super.relocalize();
		
		setLabel(Translatrix.getTranslationString("extApp.Label"));
	}

}
